<?php
declare(strict_types=1);

namespace WP_AUX\Enum;

use WP_AUX\Interfaces\OptionsEnumInterface;
use WP_AUX\Traits\EnumTraits;

enum CaptionedMediaAlignmentOptionsEnum: string implements OptionsEnumInterface
{
  use EnumTraits;

  case Top = 'top';
  case Bottom = 'bottom';
  case Left = 'left';
  case Right = 'right';

  public const SETTING_LABEL = 'Captioned Media Alignment';

  public function label(): string
  {
    return match($this) {
      self::Top => 'Top',
      self::Bottom => 'Bottom',
      self::Left => 'Left',
      self::Right => 'Right',
    };
  }
}
